package cn.com.poc.writing.service;

import cn.com.poc.writing.query.ExaminationQueryCondition;
import cn.com.poc.writing.query.ExaminationQueryItem;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.writing.entity.BizExaminationEntity;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizExaminationService extends BaseService {

    BizExaminationEntity get(java.lang.Long id) throws Exception;

    List<BizExaminationEntity> findByExample(BizExaminationEntity example, PagingInfo pagingInfo);

    BizExaminationEntity save(BizExaminationEntity entity) throws Exception;

    BizExaminationEntity update(BizExaminationEntity entity) throws Exception;

    void deletedById(java.lang.Long id) throws Exception;

    List<ExaminationQueryItem> examinationQuery(ExaminationQueryCondition condition, PagingInfo pagingInfo);

}